/* Copyright 1999 by Herve Regad-Pellagru, E-mail: herve.regadpellagru@free.fr

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */

#include <time.h>

void cycle_on_connections(int);

void fatal_error(char *);

char *cmd2string(int);
int string2cmd(char *);
char *status2string(int);
char *err2string(int);

char *print_ltime(void);
char *print_ltimestamp(time_t);

void server_log_event(char *);

void error_cmd(void);
void do_cmd_send(void);
void do_cmd_status(void);
void do_cmd_status_all(void);
void do_cmd_log(void);
void do_cmd_listen(void);
void do_cmd_nolisten(void);
void do_cmd_help(void);
